{
  "format_version": "1.21.0",
  "minecraft:block": {
    "description": {
      "identifier": "silverlabs:sun_lamp",
      "menu_category": {
        "category": "items"
      },
      "states": {
        "silverlabs:powered": [
          false,
          true
        ]
      }
    },
    "components": {
      "minecraft:destructible_by_mining": {
        "seconds_to_destroy": 0.3
      },
      "minecraft:destructible_by_explosion": {
        "explosion_resistance": 0.5
      },
      "minecraft:map_color": "#ffd24d",
      "minecraft:light_emission": 0,
      "minecraft:geometry": "minecraft:geometry.full_block",
      "minecraft:material_instances": {
        "*": {
          "texture": "sun_lamp_off",
          "render_method": "opaque"
        }
      }
    },
    "permutations": [
      {
        "condition": "query.block_state('silverlabs:powered') == true",
        "components": {
          "minecraft:light_emission": 15,
          "minecraft:light_dampening": 0,
          "minecraft:geometry": "minecraft:geometry.full_block",
          "minecraft:material_instances": {
            "*": {
              "texture": "sun_lamp",
              "render_method": "opaque"
            }
          }
        }
      }
    ]
  }
}
